import getFormValues from '@theoryofnekomata/formxtra'
import {FormEvent} from 'react'
import {createFetchClient, FetchClient} from '../../utils/api/fetch'
import * as endpoints from './endpoints'

export default class RingtoneClient {
	private readonly fetchClient: FetchClient

	constructor(private readonly baseUrl) {
		this.fetchClient = createFetchClient({
			baseUrl,
		})
	}

	save = async (e: FormEvent & { submitter: HTMLInputElement | HTMLButtonElement }) => {
		e.preventDefault()
		const {tempo, name, data} = getFormValues(e.target as HTMLFormElement, { submitter: e.submitter })
		const values = {
			name,
			data,
			tempo: Number(tempo),
		}
		const response = await this.fetchClient(endpoints.create(values))
		alert(response.statusText)
	}
}
