import {inject, singleton} from 'tsyringe';
import AuthService from './service';
import {Controller, ControllerResponse} from '../../utils/helpers';
import Credentials from '../credentials/type';

type AuthController = Controller<{
	logIn: ControllerResponse<Credentials>,
}>

export default AuthController

@singleton()
export class AuthControllerImpl implements AuthController {
	constructor(
		@inject('AuthService')
		private readonly authService: AuthService
	) {}

	logIn = async (request: any, reply: any) => {
		try {
			const data = await this.authService.logIn(request.body['username'], request.body['password'])
			return {
				data
			}
		} catch (err) {
			reply.raw.statusMessage = 'Invalid Credentials'
			reply.unauthorized()
		}
	}
}
