import {FastifyPluginAsync} from 'fastify'
import {container} from 'tsyringe'
import AuthController from '../../../modules/auth/controller'

const auth: FastifyPluginAsync = async (fastify): Promise<void> => {
	const ringtoneController = container.resolve<AuthController>('AuthController')
	fastify.route({
		url: '/log-in',
		method: 'POST',
		handler: ringtoneController.logIn,
	})
}

export default auth
